Cyberduck Mountain Duck CLI

#6061 new feature

Linux Version

Reported by: amarendra Owned by: yla
Priority: low Milestone:
Component: core Version: Nightly Build
Severity: blocker Keywords: linux ubuntu client
Cc: hans@…, contact@… Architecture: Intel
Platform:

Description

summary

Change History (25)

comment:1 Changed on Jul 12, 2011 at 9:01:51 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

We might port to Linux at some later stage but have no immediate plans.

comment:2 Changed on Sep 27, 2012 at 3:35:52 PM by gsheremeta

I can't find Linux port on the roadmap. I could really use a Linux port. Any plans to do this?

comment:3 Changed on Sep 27, 2012 at 3:36:27 PM by gsheremeta

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

comment:4 Changed on Oct 4, 2012 at 11:31:34 AM by dkocher

  • Priority changed from highest to low
  • Summary changed from Linux(Ubuntu) Client to Linux Version

comment:5 Changed on Nov 5, 2012 at 5:42:11 PM by dkocher

#6061 closed as duplicate.

comment:6 Changed on Nov 5, 2012 at 5:43:16 PM by dkocher

#6457 closed as duplicate.

comment:7 follow-up: Changed on Sep 18, 2013 at 5:22:38 PM by dkocher

See also #7035.

comment:8 in reply to: ↑ 7 ; follow-up: Changed on Sep 19, 2013 at 3:33:04 PM by amarendra

Replying to dkocher:

See also #7035.

So, a Linux version is coming up or it's about fixing bugs for Wine?

comment:9 in reply to: ↑ 8 Changed on Sep 23, 2013 at 4:07:47 PM by dkocher

Replying to amarendra:

Replying to dkocher:

See also #7035.

So, a Linux version is coming up or it's about fixing bugs for Wine?

We have no imminent plans as we lack resources.

comment:10 Changed on Oct 11, 2013 at 8:55:07 PM by dkocher

  • Owner changed from amarendra to yla
  • Status changed from reopened to new

comment:11 Changed on Dec 27, 2013 at 6:13:04 PM by dkocher

#7701 closed as duplicate.

comment:12 Changed on Apr 9, 2014 at 1:56:17 PM by dkocher

  • Component changed from interface to core

comment:13 Changed on Apr 9, 2014 at 1:56:47 PM by dkocher

Added build system in r14196.

comment:14 Changed on Aug 10, 2014 at 4:50:58 PM by dkocher

#8150 closed as duplicate.

comment:15 Changed on Nov 5, 2014 at 1:16:28 PM by dkocher

Add command line interface and build in r15566.

comment:16 Changed on Nov 5, 2014 at 1:18:45 PM by dkocher

Snapshot builds of a CLI version are now available from https://update.cyberduck.io/linux/nightly/. The command line interface version of Cyberduck (duck) is currently limited to transfers and edits.

Usage: duck [options...] <url> [<file>]
The <url> must be a fully qualified URL of remote file or folder such as 'ftps://example.net/resource'. Can include username and password prefixed to the host name.
Supported protocols
ftp	FTP (File Transfer Protocol)
Example URL: ftp://<hostname>/<folder>/<file>
ftps	FTP-SSL (Explicit AUTH TLS)
Example URL: ftps://<hostname>/<folder>/<file>
sftp	SFTP (SSH File Transfer Protocol)
Example URL: sftp://<hostname>/<folder>/<file>
dav	WebDAV (Web-based Distributed Authoring and Versioning)
Example URL: dav://<hostname>/<folder>/<file>
davs	WebDAV (HTTP/SSL)
Example URL: davs://<hostname>/<folder>/<file>
swift	Swift (OpenStack Object Storage)
Example URL: swift://<container>/<key>
s3	S3 (Amazon Simple Storage Service)
Example URL: s3://<container>/<key>
gs	Google Cloud Storage
Example URL: gs://<container>/<key>
azure	Windows Azure Storage
Example URL: azure://<container>/<key>
 -d,--download              Download file
    --edit                  Edit file in external editor
 -h,--help                  Print this help
 -p,--password <password>   Password
 -u,--upload                Upload file
 -v,--verbose               Print transcript
 -V,--version               Show version number and quit
Cyberduck is libre software licenced under the GPL. For general help about using Cyberduck, please refer to http://help.cyberduck.io/en. For bug reports or feature requests open a ticket at
https://trac.cyberduck.io/newticket?version=4.5.3.

comment:17 Changed on Nov 5, 2014 at 1:19:19 PM by dkocher

Editor implementation in r15656.

comment:18 Changed on Nov 11, 2014 at 5:34:14 PM by deragon

+1. Sorry for this vote in this comment. Usually issue tracking system have means to vote or add yourself on CC:, but not here.

comment:19 Changed on Nov 12, 2014 at 1:23:43 PM by dkocher

Application launcher implementation using xdg-open in r15676.

comment:20 Changed on Dec 1, 2014 at 4:45:43 PM by tourist

+1 (and +1 on deragon's apology)

I can't find a good S3 GUI anywhere for Linux - there really seems to be a market opportunity there. I would gladly donate again for a Linux Cyberduck. Hopefully others as well.

comment:21 Changed on Dec 23, 2014 at 9:13:33 PM by dkocher

Documentation for the command line interface (CLI) is now available.

comment:22 Changed on Feb 3, 2015 at 10:01:54 PM by hans deragon

  • Cc hans@… added

comment:23 Changed on Feb 1, 2016 at 3:14:33 PM by Rudloff

  • Cc contact@… added

comment:24 Changed on Feb 15, 2016 at 1:02:10 PM by dkocher

  • Type changed from enhancement to feature

comment:25 Changed on Sep 6, 2016 at 8:24:41 AM by dkocher

#9681 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software